CentOS7 上安装Python3并且实现Python2与Python3兼容

前言:因为在一台服务器上有时候需要运行Python2和Python3两个版本的代码,所以就想同时拥有两个Python版本实现共存。
注:CentOS7上默认安装的Python2.7,按照下面这个方法走一定会成功的。
1、安装依赖包

yum install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gcc make -y

2、安装libffi-devel为pip服务

yum install libffi-devel -y

3、下载Python3安装包

wget https://www.python.org/ftp/python/3.7.0/Python-3.7.0.tgz

这里我是使用的Python3.7.0版本,你也可以使用其他版本。在这里可以查看Python历史版本,找到你喜欢的即可,原理 都一样,安装教程不会有影响,只需要注意目录名称就好。

4、安装Python3.7

tar -zxvf Python-3.7.0.tgz
cd Python-3.7.0
./configure
make && make install

这里如果提示ModuleNotFound:No module named '_ctypes报错,那么很有可能就是你第二步安装pip工具没有安装好,重装一下即可,如果重装了还是报错,那就不用理会直接向下进行。

5、配置Python和pip的环境变量

mv /usr/bin/python /usr/bin/python.bak
ln -s /usr/local/bin/python3 /usr/bin/python
mv /usr/bin/pip /usr/bin/pip.bak
ln -s /usr/local/bin/pip3 /usr/bin/pip

6、验证
在终端输入python -V,如果显示Python 3.7.0则说明安装成功
在终端输入pip -V,如果在最后面的括号里面显示(python 3.7)则也说明成功

7、配置yum,实现共存
众所周知,yum是依赖python 2.7的,刚才我们把默认的环境变量改为了python 3.7的,所以这里不能使用了,但是其实python 2.7依旧在电脑里面,只不过需要稍微修改一下配置即可。

vi /usr/libexec/urlgrabber-ext-down
把第一行最后面的python改为python2.7
vi /usr/bin/yum
同理,把第一行最后面的python改为python2.7

8、结束语
现在就可以完美实现Python3和Python2的共存了,想要使用Python3直接执行命令:python即可,想要使用Python2直接执行命令:python2.7即可。

参考文章

_一个世纪:https://blog.csdn.net/qq_36288025/article/details/82534508

  1. VPS234说道:
    Google Chrome Windows 10

    博主是二次元宅男的技术爱好者吗,O(∩_∩)O哈哈~

    1. 鲁先生说道:
      QQbrowser Windows 10

      哈哈,是的呢

发表评论

电子邮件地址不会被公开。必填项已用 * 标注